	SUBROUTINE MULTI_VALUE(qual_line,icount)

	INCLUDE 'PERP.INC'
	INTEGER*4 value_lth, qual_line_lth
	CHARACTER value*512, qual_line*512
	LOGICAL more

	more  = .false.
	value = ' '
	qual_line = ' '
	qual_line = '("'

	icode = CLI$PRESENT(quals(icount)(:qual_lth(icount)))
	if (icode) then
	do while (CLI$GET_VALUE(quals(icount)(:qual_lth(icount)),value))

	   icode = STR$TRIM (value, value, value_lth)
	   icode = STR$TRIM (qual_line, qual_line, qual_line_lth)
	   if (more) then
	     qual_line = qual_line(1:qual_line_lth)  // ',"'
	     icode = STR$TRIM (qual_line, qual_line, qual_line_lth)
	   endif
	   qual_line = qual_line(1:qual_line_lth) // value(1:value_lth) // '"'
	   more = .true.

	enddo
	   icode = STR$TRIM (qual_line, qual_line, qual_line_lth)
	   qual_line = qual_line(1:qual_line_lth) // ')'
	endif
C
	RETURN
	END
